## net.i2p
Class I2PException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              net.i2p.I2PException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  DataFormatException, DHSessionKeyBuilder.InvalidPublicParameterException, I2CPMessageException, I2NPMessageException, I2PSessionException, TooManyStreamsException

    public class I2PException

extends Exception

Base class of I2P exceptions

Author:
  jrandom
See Also:
  Serialized Form

Constructor Summary
`I2PException()`
`I2PException(String msg)`
`I2PException(String msg, Throwable source)`

Method Summary
`void` `printStackTrace()`
`void` `printStackTrace(PrintStream ps)`
`void` `printStackTrace(PrintWriter pw)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### I2PException

    public I2PException()

### I2PException

    public I2PException(String msg)

### I2PException

    public I2PException(String msg,
                        Throwable source)

Method Detail

### printStackTrace

    public void printStackTrace()

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintStream ps)

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintWriter pw)

  Overrides:
    `printStackTrace` in class `Throwable`